# EmulationStation Desktop Edition (ES-DE) - Credits

# Programming

**Original version**\
Alec Lofquist

**RetroPie fork**\
RetroPie community

**Desktop Edition**\
Leon Styhre \
Sophia Hadash \
Joseph Geumlek

# UI Art & Design

Nils Bonenberger

# Licenses

Please find the individual license files inside the `licenses` directory. There is also additional license information in the headers of most source files.

# Libraries

CImg \
https://www.cimg.eu

curl \
https://curl.haxx.se

FFmpeg \
https://ffmpeg.org

FreeImage \
http://www.freeimage.sourceforge.net

FreeType \
https://www.freetype.org

GLEW \
http://glew.sourceforge.net

GLM \
https://github.com/g-truc/glm

libvpx \
https://github.com/webmproject/libvpx

LunaSVG \
https://github.com/sammycage/lunasvg

Ogg \
https://github.com/xiph/ogg

Opus \
https://gitlab.xiph.org/xiph/opus

pugixml \
https://pugixml.org

RapdidJSON \
https://rapidjson.org

rlottie \
https://github.com/Samsung/rlottie

SDL \
https://www.libsdl.org

Vorbis \
https://gitlab.xiph.org/xiph/vorbis

# Code

Some code (like the virtual keyboard) was borrowed from Batocera EmulationStation \
https://batocera.org

The MD5 hash functions were adapted from code by the BZFlag project \
https://www.bzflag.org

A couple of GLSL shaders were borrowed from the RetroArch project \
https://www.retroarch.com

# Resources

Akrobat font \
https://www.fontfabric.com/fonts/akrobat

DejaVu font \
https://dejavu-fonts.github.io

DroidSans font \
https://android.googlesource.com/platform/frameworks/base

Font Awesome \
https://fontawesome.com

GNU FreeFont (FreeMono) \
https://www.gnu.org/software/freefont

Nanum font \
https://hangeul.naver.com

Ubuntu font \
https://design.ubuntu.com/font

MAME ROM information \
https://www.mamedev.org

CA certificates (for TLS/SSL support on Windows) \
https://wiki.mozilla.org/CA

# Slate theme set

Recalbox Multi (Slate is based on this theme, using assets from before their change to a more restrictive license in 2018) \
https://gitlab.com/recalbox/recalbox-themes

Carbon (some graphics taken from this theme) \
https://github.com/RetroPie/es-theme-carbon

Some logotype graphics by Dan Patrick

# Modern theme set

Nintendo Switch Theme for RetroPie (Modern is based on this theme): \
https://github.com/lilbud/es-theme-switch

Some logotype graphics by Dan Patrick

# Sounds

Used by the default Slate theme as well as for fallback sounds (for themes that lack navigation sounds).

https://freesound.org/people/adcbicycle/sounds/14066

https://freesound.org/people/farpro/sounds/264762

https://freesound.org/people/farpro/sounds/264763/

https://freesound.org/people/newlocknew/sounds/515827 \
(Sample cut slightly)

https://freesound.org/people/ertfelda/sounds/243701/
